"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = require("commander");
const git_1 = __importDefault(require("./notes/git"));
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const { version } = JSON.parse(fs_1.default.readFileSync(path_1.default.join(__dirname, "../package.json"), "utf-8"));
commander_1.program
    .name("knowledge")
    .description("this is a cli to log knowledge")
    .version(version);
commander_1.program.option("--git");
commander_1.program.parse();
const options = commander_1.program.opts();
(0, git_1.default)(options);
